This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 219927 - tvtime doesnot work with my ANALOG KNC ONE TV station BT878 Card
tvtime doesnot work with my ANALOG KNC ONE TV station BT878 Card
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: tvtime (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Smetana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-16 15:42 EST by Need Real Name
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 04:15:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-12-16 15:42:10 EST
Description of problem:
TV time does not work for my card.
I think it is not good recognized.

Version-Release number of selected component (if applicable):

tv-time-1.0.1-6.i386.rpm
How reproducible:
If i start TV-time.
I live in holland (the netherlands) so i select video: pal NC and audio pal bg
if i just start the computer in linux i get no image and only psssss
If i do a reboot after i started tyhe computer in windows XP - the channel i 
selected in XP is visible in black and white ( i think because the video 
selector is off tune) and i have sound.
But i can not select or find any other channel.




Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Its a TV Station Card from KNC ONE (website www.knc1.com or .de)
Its an analog card with a BT878 KHF 25878-12 CA9080 Conexant TV Chip
and 3 other chips
- TDA 9801
- TDA 5787M
- SA 5523
This 3 last chips were very bad readable (brown on black) and made in Thailand


I did find a message in lsmod about a missing eprom
and i think there could be something wrong.
Al the more the card type 0 is i think autodiscover -- must that not be a type 
1-27 ????



File info:

I have copyed only a few lines out lsmod; lspci and dmesg.
I can send the complete output, if you want

=====>>>>>>lsmod shows this:

Module                  Size  Used by
bt878                  15305  0
video_buf              28997  1 bttv
ir_common              32197  1 bttv
compat_ioctl32          5569  1 bttv
i2c_algo_bit           12873  1 bttv
btcx_risc               9161  1 bttv
tveeprom               18513  1 bttv
i2c_core               25537  4 i2c_ec,bttv,i2c_algo_bit,tveeprom
videodev               27073  1 bttv
v4l1_compat            16453  1 videodev
v4l2_common            26305  2 bttv,videodev



=====>>>>>>>>/sbin/lspci shows te following:

00:06.0 Multimedia video controller: Brooktree Corporation Bt878 Video
Capture (rev 02)
 Flags: bus master, medium devsel, latency 32, IRQ 21
 Memory at ea425000 (32-bit, prefetchable) [size=4K]

00:06.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture
(rev 02)
 Flags: bus master, medium devsel, latency 32, IRQ 21
 Memory at ea426000 (32-bit, prefetchable) [size=4K]


=====>>>>>>>dmesg  shows this:

(SO I think the card must be almost correctly recognised
BUT WHY THAN an ERR121 NO Eprom)

ACPI: PCI Interrupt 0000:00:02.3[B] -> GSI 17 (level, low) -> IRQ 21
Linux video capture interface: v2.00
ohci1394: fw-host0: OHCI-1394 1.0 (PCI): IRQ=[21]
MMIO=[ea427000-ea4277ff]  Max Packet=[2048]  IR/IT contexts=[4/6]
bttv: driver version 0.9.16 loaded
bttv: using 8 buffers with 2080k (520 pages) each for capture
bttv: Bt8xx card found (0).
ACPI: PCI Interrupt 0000:00:06.0[A] -> GSI 17 (level, low) -> IRQ 21
bttv0: Bt878 (rev 2) at 0000:00:06.0, irq: 21, latency: 32, mmio:
0xea425000
bttv0: using:  *** UNKNOWN/GENERIC ***  [card=0,autodetected]
bttv0: gpio: en=00000000, out=00000000 in=00ffffff [init]
tveeprom 0-0050: Huh, no eeprom present (err=-121)?
bttv0: using tuner=-1
bttv0: i2c: checking for MSP34xx @ 0x80... not found
bttv0: i2c: checking for TDA9875 @ 0xb0... not found
bttv0: i2c: checking for TDA7432 @ 0x8a... not found
bttv0: i2c: checking for TDA9887 @ 0x86... not found
bttv0: registered device video0
bttv0: registered device vbi0
hdb: ATAPI 48X DVD-ROM drive, 512kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
hdc: ATAPI 48X CD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)
sis900.c: v1.08.10 Apr. 2 2006
ACPI: PCI Interrupt 0000:00:04.0[A] -> GSI 19 (level, low) -> IRQ 22
0000:00:04.0: Realtek RTL8201 PHY transceiver found at address 1.
0000:00:04.0: Using transceiver found at address 1 as default
eth0: SiS 900 PCI Fast Ethernet at 0xec00, IRQ 22, 00:10:dc:9a:8e:e2.
bt878: AUDIO driver version 0.0.0 loaded
bt878: Bt878 AUDIO function found (0).
ACPI: PCI Interrupt 0000:00:06.1[A] -> GSI 17 (level, low) -> IRQ 21
bt878_probe: card id=[0x0],[ <NULL> ] has DVB functions.
bt878(0): Bt878 (rev 2) at 00:06.1, irq: 21, latency: 32, memory:
0xea426000
ACPI: PCI Interrupt 0000:00:02.7[C] -> GSI 18 (level, low) -> IRQ 23
intel8x0_measure_ac97_clock: measured 58271 usecs



================

If you need more info.

Please mail me.


Erik


Thanks
Comment 1 Tomas Smetana 2008-01-10 02:56:45 EST
Yet another forgotten one...

Please let me know if you have problems in some of the recent Fedoras (7, 8). 
If yes, have you tried to use different TV application?

Note You need to log in before you can comment on or make changes to this bug.